Description

Hi! When i tried compiling Audacious in my system, i get this error:

/usr/lib64/gcc/x86_64-suse-linux/4.8/../../../../x86_64-suse-linux/bin/ld: cannot find -lQt5Widgets

collect2: error: ld returned 1 exit status

Failed to link libaudcore.so!

../../buildsys.mk:231: attempt to perform a prescription for purpose «libaudcore.so» failed

make[5]: *** [libaudcore.so] Error 1

../../buildsys.mk:116: attempt to perform a prescription for purpose «all» failed

make[4]: *** [all] Error 2

../buildsys.mk:123: attempt to perform a prescription for purpose «libaudcore» failed

make[3]: *** [libaudcore] Error 2

../buildsys.mk:116: attempt to perform a prescription for purpose «all» failed

make[2]: *** [all] Error 2

buildsys.mk:123: attempt to perform a prescription for purpose «src» failed

make[1]: *** [src] Error 2

buildsys.mk:116: attempt to perform a prescription for purpose «all» failed

make: *** [all] Error 2

Without Qt5 audacious works well.

History

#1 - April 14, 2015 18:20 - Thomas Lange

Do you have installed "libQt5Widgets5"?

https://software.opensuse.org/package/libQt5Widgets5

#2 - April 14, 2015 18:36 - Vlad Hnatiuk

Of course libQt5Widgets5 & libQt5Widgets5-dev are installed.

#3 - April 14, 2015 19:33 - Vlad Hnatiuk

Vlad Hnatiuk wrote:

Of course libQt5Widgets5 & libQt5Widgets5-dev are installed.

 

Problem solved after updating Qt5.

But when I compiled audacious-plugins I get another error, which is described in this topic: 

http://redmine.audacious-media-player.org/boards/1/topics/1028   (last two replies).
#4 - April 14, 2015 19:33 - Vlad Hnatiuk

Problem solved after updating Qt5.

But when I compiled audacious-plugins I get another error, which is described in this topic: 

http://redmine.audacious-media-player.org/boards/1/topics/1028   (last two replies).

#5 - April 14, 2015 23:08 - John Lindgren

- Status changed from New to Closed

Read what the error says and install FFmpeg.

#6 - April 15, 2015 05:11 - Vlad Hnatiuk

John Lindgren wrote:

Read what the error says and install FFmpeg

 

checking for FFMPEG... no

configure: error: FFmpeg is not installed or too old (required: libavcodec 53.40.0, libavformat 53.21.0, libavutil 51.27.0). Use --with-ffmpeg=none to

disable the ffaudio plugin or --with-ffmpeg=libav to use libav instead.

ffmpeg 2.6.1 is installed. openSUSE 13.1 provides libavcodec55, libavformat55, and libavutil52; the latter version of each is newer than the stated

requirements.

How can I get this to compile?

#7 - April 15, 2015 12:49 - John Lindgren

Difficult to say without being there firsthand.  You should probably just install the version of Audacious that OpenSUSE provides.

Powered by TCPDF (www.tcpdf.org)

May 06, 2025 2/2

http://redmine.audacious-media-player.org/boards/1/topics/1028
http://www.tcpdf.org

